Bug 218813 - devel/libbrotli: Update to libbrotli 0.6.0 for upcoming apache 2.4.26
Summary: devel/libbrotli: Update to libbrotli 0.6.0 for upcoming apache 2.4.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sergey A. Osokin
URL: https://svn.apache.org/viewvc?view=re...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-22 13:48 UTC by Markus Kohlmeyer
Modified: 2017-07-12 19:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (apache)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kohlmeyer 2017-04-22 13:48:37 UTC
The upcoming release of Apache HTTPD 2.4.26 ships with the new module mod_brotli which requieres libbrotli >= 1.0.0, but we currentli only have libbrotli 0.4.0 in tree.

https://svn.apache.org/viewvc?view=revision&revision=1791231
https://github.com/google/brotli
Comment 1 Po-Chuan Hsieh freebsd_committer 2017-04-22 15:58:51 UTC
Over to maintainer
Comment 2 Markus Kohlmeyer 2017-04-24 19:43:38 UTC
Port devel/libbrotli could/should also be replaced by bug #218851
Comment 3 commit-hook freebsd_committer 2017-07-12 19:45:34 UTC
A commit references this bug:

Author: brnrd
Date: Wed Jul 12 19:44:57 UTC 2017
New revision: 445604
URL: https://svnweb.freebsd.org/changeset/ports/445604

Log:
  archivers/brotli: Move and update to 0.6.0

   - Move from devel/libbrotli to archivers/brotli
   - Remove meta-project for library build
   - Bump epoch for meta 1.0 to upstream 0.6 update
   - Add MOVED entry
   - Switch from autoconf to cmake

  PR:		218813, 218851
  Submitted by:	Markus Kohlmeyer <rootservice@gmail.com>
  Approved by:	maintainer time-out
  Differential Revision:	https://reviews.freebsd.org/D11290

Changes:
  head/MOVED
  head/archivers/Makefile
  head/archivers/brotli/
  head/archivers/brotli/Makefile
  head/archivers/brotli/distinfo
  head/archivers/brotli/files/
  head/archivers/brotli/pkg-descr
  head/archivers/brotli/pkg-plist
  head/devel/Makefile
  head/devel/libbrotli/